/api/v1/chats (GET)
const url = 'https://api.endless.zaia.app/api/v1/chats?channelTypes=widget&channelTypes=widget-test&channelTypes=waha&channelTypes=whatsapp&channelTypes=instagram&channelTypes=telegram&channelTypes=api&pageNumber=1&pageSize=10';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.endless.zaia.app/api/v1/chats?channelTypes=widget&channelTypes=widget-test&channelTypes=waha&channelTypes=whatsapp&channelTypes=instagram&channelTypes=telegram&channelTypes=api&pageNumber=1&pageSize=10'Retrieves multiple chats.
Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
The page number.
The page number.
The page size.
The page size.
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Responses
Seção intitulada “Responses”Retrieves all chats for the workspace.
object
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
The super identity ID of the chat owner. Can refer to users.superIdentityId or externalUsers.superIdentityId.
The super identity ID of the current chat responder. Can refer to agents.superIdentityId or squads.superIdentityId.
A UUID v4 string that identifies an entity.
Examplegenerated
[ { "createdAt": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "isRemoved": true, "updatedAt": "2026-04-15T12:00:00Z", "channelId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "conversationVersion": 1, "currentResponderId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "lastActivityAt": "2026-04-15T12:00:00Z", "lastChatMessageCreatedAt": "2026-04-15T12:00:00Z", "ownerId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "privateMemory": { "additionalProperty": "example" }, "publicMemory": { "additionalProperty": "example" }, "responderId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "title": "example", "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }]Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}